> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign report



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/campaigns/{id}/report/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/campaigns/{id}/report/:
    get:
      tags:
        - Campaigns
      summary: Get campaign report
      operationId: campaigns_get_report
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: limit
          schema:
            type: integer
          description: Maximum number of rows to return.
        - in: query
          name: offset
          schema:
            type: integer
          description: Zero-based pagination offset.
        - in: query
          name: outcome
          schema:
            type: string
        - in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignReportResponseSchema'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    CampaignReportResponseSchema:
      type: object
      properties:
        campaign: {}
        metrics: {}
        recentSuccessfulCalls:
          type: array
          items:
            type: object
            additionalProperties: {}
        contactOutcomes:
          type: array
          items:
            type: object
            additionalProperties: {}
        totalContactOutcomes:
          type: integer
        hasMoreContactOutcomes:
          type: boolean
        limit:
          type: integer
        offset:
          type: integer
      required:
        - campaign
        - contactOutcomes
        - hasMoreContactOutcomes
        - limit
        - metrics
        - offset
        - recentSuccessfulCalls
        - totalContactOutcomes
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````